package klout4j;

import java.io.Serializable;
import java.util.Map;

public class KloutUserScore implements Serializable {
    private final double kscore;
    private final double slope;
    private final String description;
    private final String kclassId;
    private String kclass; // TODO(apetresc): Mark this as final
    private final String kclassDescription;
    private final String kscoreDescription;
    private final double networkScore;
    private final double amplificationScore;
    private final long trueReach;

    public KloutUserScore(Map<?,?> attributes) {
        kscore = Double.parseDouble(attributes.get("kscore").toString());
        slope = Double.parseDouble(attributes.get("slope").toString());
        description = (String)attributes.get("description");
        kclassId = attributes.get("kclass_id").toString();
        kclassDescription = (String)attributes.get("kclass_description");
        kscoreDescription = (String)attributes.get("kscore_description");
        networkScore =
            Double.parseDouble(attributes.get("network_score").toString());
        amplificationScore =
            Double.parseDouble(attributes.get("amplification_score").toString());
        trueReach = Long.parseLong(attributes.get("true_reach").toString());
    }
    
    public double getKscore() {
        return kscore;
    }

    public double getSlope() {
        return slope;
    }

    public String getDescription() {
        return description;
    }

    public String getKclassId() {
        return kclassId;
    }

    public String getKclass() {
        return kclass;
    }
    public void setKclass(String kclass) {
        this.kclass = kclass;
    }

    public String getKclassDescription() {
        return kclassDescription;
    }

    public String getKscoreDescription() {
        return kscoreDescription;
    }

    public double getNetworkScore() {
        return networkScore;
    }

    public double getAmplificationScore() {
        return amplificationScore;
    }

    public long getTrueReach() {
        return trueReach;
    }

    public String toString() {
        return "KloutUserScore[kscore=" + kscore +
            ",slope=" + slope +
            ",description=" + description +
            ",kclassId=" + kclassId +
            ",kclass=" + kclass +
            ",kclassDescription=" + kclassDescription +
            ",kscoreDescription=" + kscoreDescription +
            ",networkScore=" + networkScore +
            ",amplificationScore=" + amplificationScore +
            ",trueReach=" + trueReach +
            "]";
    }
}
