package klout4j;

import static org.junit.Assert.*;

import java.util.Arrays;
import java.util.List;
import java.util.Map;

import org.junit.Before;
import org.junit.Test;

public class KloutTest {
	private Klout klout;
	
	@Before
	public void setUp() {
		klout = new Klout("__YOUR_API_KEY_HERE__");
	}
	
	@Test
	public void test_singleKlout() throws KloutException {
		KloutScore bieberScore = klout.getKlout("justinbieber");
		assertNotNull(bieberScore);
		assertTrue(bieberScore.getKScore() > 0.0);
	}
	
	@Test
	public void test_multiKlout() throws KloutException {
		List<String> twitterScreenNames = Arrays.asList(
				"justinbieber", "aplusk", "ladygaga", "feliciaday", "apetresc");
		Map<String, KloutScore> kloutScores = klout.getKlout(twitterScreenNames);
		assertEquals(5, kloutScores.size());
		for (Map.Entry<String, KloutScore> kloutScore : kloutScores.entrySet()) {
			assertTrue(twitterScreenNames.contains(kloutScore.getKey()));
			assertTrue(kloutScore.getValue().getKScore() > 0.0);
		}
	}

}
